Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationPerformance

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationPerformance

extends java.rmi.Remote

This interface defines methods to manage Performance configuration of the server.

Method Summary
`boolean` | `getCompressIO()` Returns whether to Compress swap files.
`boolean` | `getEnablePreloadFont()` Returns whether to preload font.
`boolean` | `getPreloadCatalogClass()` Returns whether to Preload Catalog Class.
`java.util.Vector` | `getPreloadCatalogsName()` Returns the Catalog's full name which needs to preload.
`boolean` | `getPreloadDsoClass()` Returns whether to Preload Dso Class.
`boolean` | `getPreloadEngineClass()` Return whether to Preload Engine Class.
`boolean` | `getPreloadReportClass()` Returns whether to Preload Report Class.
`java.util.Vector` | `getPreloadReportsName()` Returns the Report file's full name which needs to preload.
`void` | `loadProperties()` Sets the properties of the server.
`void` | `setCompressIO(boolean isCompressIO)` Sets whether to Compress swap files.
`void` | `setEnablePreloadFont(boolean enablePreloadFont)` Sets whether to preload font.
`void` | `setPreloadCatalogClass(boolean isPreloadCatalogClass)` Sets whether to Preload Catalog Class.
`void` | `setPreloadCatalogsName(java.util.Vector preloadCatalogsName)` Sets the Catalog's full name which needs to preload.
`void` | `setPreloadDsoClass(boolean isPreloadDsoClass)` Sets whether to Preload DSO Class.
`void` | `setPreloadEngineClass(boolean isPreloadEngineClass)` Sets whether to Preload Engine Class.
`void` | `setPreloadReportClass(boolean isPreloadReportClass)` Sets whether to Preload Report Class.
`void` | `setPreloadReportsName(java.util.Vector preloadReportsName)` Sets the Report file's full name which needs to preload.

Method Detail

### setEnablePreloadFont

    void setEnablePreloadFont(boolean enablePreloadFont)
                              throws java.rmi.RemoteException

  Sets whether to preload font.

  Parameters:
    `enablePreloadFont` - whether to preload font.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getEnablePreloadFont

    boolean getEnablePreloadFont()
                                 throws java.rmi.RemoteException

  Returns whether to preload font.

  Returns:
    whether to preload font.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPreloadCatalogsName

    void setPreloadCatalogsName(java.util.Vector preloadCatalogsName)
                                throws java.rmi.RemoteException

  Sets the Catalog's full name which needs to preload. Vector contains String object.

  Parameters:
    `preloadCatalogsName` - the Catalog's full name which needs to preload.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPreloadCatalogsName

    java.util.Vector getPreloadCatalogsName()
                                            throws java.rmi.RemoteException

  Returns the Catalog's full name which needs to preload. Vector contains String object.

  Returns:
    the Catalog's full name which needs to preload.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPreloadReportsName

    void setPreloadReportsName(java.util.Vector preloadReportsName)
                               throws java.rmi.RemoteException

  Sets the Report file's full name which needs to preload. Vector contains String object.

  Parameters:
    `preloadReportsName` - the Report file's full name which needs to preload.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPreloadReportsName

    java.util.Vector getPreloadReportsName()
                                           throws java.rmi.RemoteException

  Returns the Report file's full name which needs to preload. Vector contains String object.

  Returns:
    the Report file's full name which needs to preload.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPreloadCatalogClass

    void setPreloadCatalogClass(boolean isPreloadCatalogClass)
                                throws java.rmi.RemoteException

  Sets whether to Preload Catalog Class.

  Parameters:
    `isPreloadCatalogClass` - whether to Preload Catalog Class.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPreloadCatalogClass

    boolean getPreloadCatalogClass()
                                   throws java.rmi.RemoteException

  Returns whether to Preload Catalog Class.

  Returns:
    whether to Preload Catalog Class.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPreloadReportClass

    void setPreloadReportClass(boolean isPreloadReportClass)
                               throws java.rmi.RemoteException

  Sets whether to Preload Report Class.

  Parameters:
    `isPreloadReportClass` - whether to Preload Report Class.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPreloadReportClass

    boolean getPreloadReportClass()
                                  throws java.rmi.RemoteException

  Returns whether to Preload Report Class.

  Returns:
    whether to Preload Report Class.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPreloadEngineClass

    void setPreloadEngineClass(boolean isPreloadEngineClass)
                               throws java.rmi.RemoteException

  Sets whether to Preload Engine Class.

  Parameters:
    `isPreloadEngineClass` - whether to Preload Engine Class.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPreloadEngineClass

    boolean getPreloadEngineClass()
                                  throws java.rmi.RemoteException

  Return whether to Preload Engine Class.

  Returns:
    whether to Preload Engine Class.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPreloadDsoClass

    void setPreloadDsoClass(boolean isPreloadDsoClass)
                            throws java.rmi.RemoteException

  Sets whether to Preload DSO Class.

  Parameters:
    `isPreloadDsoClass` - whether to Preload Dso Class.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPreloadDsoClass

    boolean getPreloadDsoClass()
                               throws java.rmi.RemoteException

  Returns whether to Preload Dso Class.

  Returns:
    whether to Preload Dso Class.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setCompressIO

    void setCompressIO(boolean isCompressIO)
                       throws java.rmi.RemoteException

  Sets whether to Compress swap files.

  Parameters:
    `isCompressIO` - whether to Compress swap files.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCompressIO

    boolean getCompressIO()
                          throws java.rmi.RemoteException

  Returns whether to Compress swap files.

  Returns:
    whether to Compress swap files.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### loadProperties

    void loadProperties()
                        throws java.rmi.RemoteException

  Sets the properties of the server.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD